<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form</title>
    <link rel="stylesheet" href="./style.css">
</head>
<body>
    <nav>
        <ul>
            <li><a href="./main.html">Main Page</a></li>
            <li><a href="./tyres.html">Tyres</a></li>
            <li><a href="./racetracks.html">Race tracks</a></li>
            <li><a href="./form.html">Form</a></li>
        </ul>   
    </nav>
    <main>
        <h1>Registration</h1>
        <form method="POST" name="formId">
            <label for="firstname">First Name: </label> 
            <input id="firstname" type="text" name="firstname" placeholder="First Name"
            pattern="[A-Z]{1}[a-z]+"
            onblur="checkFirstName(this.value)"><br>
            <div id="id-first-name-error" style="color:red;display:none">
                Error, first name is invalid
            </div>
            <br>

            <label for="lastname">Last Name: </label> 
            <input id="lastname" type="text" name="lastname" placeholder="Last Name"
            pattern="[A-Z]{1}[a-z]+"
            onblur="checkLastName(this.value)"><br>
            <div id="id-last-name-error" style="color:red;display:none">
                Error, last name is invalid
            </div>
            <br>

            <label for="date"> Date: </label>
            <input id="date" type="datetime-local" name="date">
            <br>

            <label for="email">Email Adress:</label>
            <input type="email" id="email" name="email" placeholder="Email Adress"
            pattern="[a-zA-Z0-9\._-]+@(gmail|yahoo)\.com$"
            onblur="checkEmail(this.value)"><br>
            <div id="id-email-error" style="color:red;display:none">
                Error, email address invalid
            </div>
            <br>

            <label for="password">Password</label>
            <input type="password" id="password" name="password" placeholder="Password"
            onblur="checkPassword(this.value)"><br>
            <div id="id-password-error" style="color: red;display: none">
                
            </div>
            <br>
            <div id="id-show-password" style="font-size: 10px; display: none;">
                
            </div>
            <br>

            <label for="webpage">Favourite Web Page: </label> 
            <input id="webpage" type="text" name="webpage" placeholder="URL"
            pattern="(http|https):\/\/[0-9a-zA-Z_\-\.]+[a-zA-Z/]+$"
            onblur="checkUrl(this.value)"><br>
            <div id="id-url-error" style="color:red;display:none">
                Error, URL is invalid
            </div>
            <br>

            <input id="id-submit-button" name="idSubmitButton" type="submit" value="Submit">

        </form>
        <br>
        <hr>
        <br>
        <label for="searched-words">Words</label>
        <textarea name="searched-words" id="searched-words" cols="30" rows="10">aaa aab</textarea>
        <br>
        <br>
        <label for="text">Text</label>
        <textarea name="text" id="text" cols="30" rows="10" onkeydown="scan()"></textarea>
        <br>
        <div id="result">

        </div>
    </main>
    <footer id="footer">
        
    </footer>
    <script src="script.js"></script>
    <script src="scan.js"></script>
</body>
</html>